Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ltk.core.refactoring.participants
Class ValidateEditChecker

    java.lang.Object
      org.eclipse.ltk.core.refactoring.participants.ValidateEditChecker

All Implemented Interfaces:
  IConditionChecker

public class ValidateEditChecker
extends Object
implements IConditionChecker

A validate edit checker is a shared checker to collect files to be validated all at once. A validate edit checker checks if the files are in sync with the underlying files system. Additionally `IWorkspace#validateEdit` is called for all read-only resources.

Note: this class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `IWorkspace.validateEdit(org.eclipse.core.resources.IFile[], java.lang.Object)`

Constructor Summary
`ValidateEditChecker(Object context)` The context passed to the validate edit call.

Method Summary
`void` | `addFile(IFile file)` Adds the given file to this checker.
`void` | `addFiles(IFile[] files)` Adds the given array of files.
`RefactoringStatus` | `check(IProgressMonitor monitor)` Performs the actual condition checking.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidateEditChecker

    public ValidateEditChecker(Object context)

  The context passed to the validate edit call.

Parameters:
  `context` - the `org.eclipse.swt.widgets.Shell` that is to be used to parent any dialogs with the user, or `null` if there is no UI context (declared as an `Object` to avoid any direct references on the SWT component)
See Also:
  `IWorkspace.validateEdit(org.eclipse.core.resources.IFile[], java.lang.Object)`

Method Detail

### addFile

    public void addFile(IFile file)

  Adds the given file to this checker.

  Parameters:
    `file` - the file to add

### addFiles

    public void addFiles(IFile[] files)

  Adds the given array of files.

  Parameters:
    `files` - the array of files to add

### check

    public RefactoringStatus check(IProgressMonitor monitor)
                            throws CoreException

  Performs the actual condition checking.

  Specified by:
    `check` in interface `IConditionChecker`
  Parameters:
    `monitor` - a progress monitor to report progress
  Returns:
    the outcome of the condition check
  Throws:
    `CoreException` - if an error occurred during condition checking. The check is interpreted as failed if this happens

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.